

     ------------------------ OSX SPECIFIC NOTES ------------------------

The easiest way to install Pure-FTPd is to use Homebrew:

$ brew install pure-ftpd

Available options are:

--with-mysql
	Build with mysql support
--with-pgsql
	Build with postgresql support
--with-virtualchroot
	Follow symbolic links even for chrooted accounts


To get Pure-FTPd authenticate against system users on OSX, you have to
use PAM.
       
$ ./configure --with-pam <your other favorite options like --with-everything>
$ make install-strip

  Create a /etc/pam.d/pure-ftpd file:
 
# pure-ftpd: auth account password session
auth       required       pam_opendirectory.so
account    required       pam_permit.so
password   required       pam_deny.so
session    required       pam_permit.so

  Start the FTP server:

$ /usr/local/sbin/pure-ftpd -lpam -B
 

To take advantage of Bonjour, please add --with-bonjour to ./configure
switches and give the server a Bonjour service name with the -v (--bonjour=)
switch.
